from setuptools import find_packages, setup

setup(
    name="az-r2r",
    version="0.7.0",
    packages=find_packages(include=['r2r', 'r2r.*']),
    install_requires=[
        "Pillow==10.4.0",
        "XlsxWriter==3.2.0",
        "aiohttp==3.9.5",
        "aiosignal==1.3.1",
        "aiosqlite==0.20.0",
        "annotated-types==0.7.0",
        "async-timeout==4.0.3",
        "asyncpg==0.29.0",
        "backoff==2.2.1",
        "bs4==0.0.2",
        "dateutils==0.6.12",
        "deprecated==1.2.14",
        "distro==1.9.0",
        "et-xmlfile==1.1.0",
        "fastapi==0.109.2",
        "fire==0.5.0",
        "flupy==1.2.0",
        "frozenlist==1.4.1",
        "fsspec==2024.6.1",
        "gunicorn==21.2.0",
        "importlib-metadata==8.0.0",
        "litellm==1.41.3",
        "markdown==3.6",
        "monotonic==1.6",
        "multidict==6.0.5",
        "nest-asyncio==1.6.0",
        "ollama==0.2.1",
        "openai==1.35.9",
        "openpyxl==3.1.5",
        "pgvector==0.1.8",
        "posthog==3.5.0",
        "psycopg2-binary==2.9.9",
        "pydantic==2.8.0",
        "pydantic-core==2.20.0",
        "pypdf==4.2.0",
        "python-docx==1.1.2",
        "python-multipart==0.0.9",
        "python-pptx==0.6.23",
        "redis==5.0.7",
        "starlette==0.36.3",
        "termcolor==2.4.0",
        "tiktoken==0.7.0",
        "types-requests==2.32.0.20240622",
        "uvicorn==0.27.1",
        "vecs==0.4.3",
        "wrapt==1.16.0",
        "yarl==1.9.4",
        "zipp==3.19.2",
    ],  # add any dependencies here
    author="Your Name",
    author_email="your.email@example.com",
    description="A simple package to parse strings and count characters, words, special characters, and numbers.",
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    url="",
    classifiers=[
        "License :: OSI Approved :: MIT License",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
    ],
    include_package_data=True,
)
